Skip to content
Start here

Abuse Report Details

client.AbuseReports.Get(ctx, reportParam, query) (*AbuseReportGetResponse, error)
GET/accounts/{account_id}/abuse-reports/{report_param}

Retrieve the details of an abuse report.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety Read
ParametersExpand Collapse
reportParam string
query AbuseReportGetParams
AccountID param.Field[string]

Cloudflare Account ID

maxLength32
ReturnsExpand Collapse
type AbuseReportGetResponse struct{…}
ID string

Public facing ID of abuse report, aka abuse_rand.

Cdate string

Creation date of report. Time in RFC 3339 format (https://www.rfc-editor.org/rfc/rfc3339.html)

Domain string

Domain that relates to the report.

MitigationSummary AbuseReportGetResponseMitigationSummary

A summary of the mitigations related to this report.

AcceptedURLCount int64

How many of the reported URLs were confirmed as abusive.

ActiveCount int64

How many mitigations are active.

ExternalHostNotified bool

Whether the report has been forwarded to an external hosting provider.

InReviewCount int64

How many mitigations are under review.

PendingCount int64

How many mitigations are pending their effective date.

Status AbuseReportGetResponseStatus

An enum value that represents the status of an abuse record

One of the following:
const AbuseReportGetResponseStatusAccepted AbuseReportGetResponseStatus = "accepted"
const AbuseReportGetResponseStatusInReview AbuseReportGetResponseStatus = "in_review"
Type AbuseReportGetResponseType

The abuse report type

One of the following:
const AbuseReportGetResponseTypePhish AbuseReportGetResponseType = "PHISH"
const AbuseReportGetResponseTypeGen AbuseReportGetResponseType = "GEN"
const AbuseReportGetResponseTypeThreat AbuseReportGetResponseType = "THREAT"
const AbuseReportGetResponseTypeDmca AbuseReportGetResponseType = "DMCA"
const AbuseReportGetResponseTypeEmer AbuseReportGetResponseType = "EMER"
const AbuseReportGetResponseTypeTm AbuseReportGetResponseType = "TM"
const AbuseReportGetResponseTypeRegWho AbuseReportGetResponseType = "REG_WHO"
const AbuseReportGetResponseTypeNcsei AbuseReportGetResponseType = "NCSEI"
const AbuseReportGetResponseTypeNetwork AbuseReportGetResponseType = "NETWORK"
Justification stringoptional

Justification for the report.

OriginalWork stringoptional

Original work / Targeted brand in the alleged abuse.

Submitter AbuseReportGetResponseSubmitteroptional

Information about the submitter of the report.

Company stringoptional
Email stringoptional
Name stringoptional
Telephone stringoptional
URLs []stringoptional

Abuse Report Details

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/abuse_reports"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  abuseReport, err := client.AbuseReports.Get(
    context.TODO(),
    "report_param",
    abuse_reports.AbuseReportGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", abuseReport.ID)
}
{
  "result": {
    "id": "id",
    "cdate": "2009-11-10T23:00:00Z",
    "domain": "domain",
    "mitigation_summary": {
      "accepted_url_count": 0,
      "active_count": 0,
      "external_host_notified": true,
      "in_review_count": 0,
      "pending_count": 0
    },
    "status": "accepted",
    "type": "PHISH",
    "justification": "justification",
    "original_work": "original_work",
    "submitter": {
      "company": "company",
      "email": "email",
      "name": "name",
      "telephone": "telephone"
    },
    "urls": [
      "string"
    ]
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ]
}
Returns Examples
{
  "result": {
    "id": "id",
    "cdate": "2009-11-10T23:00:00Z",
    "domain": "domain",
    "mitigation_summary": {
      "accepted_url_count": 0,
      "active_count": 0,
      "external_host_notified": true,
      "in_review_count": 0,
      "pending_count": 0
    },
    "status": "accepted",
    "type": "PHISH",
    "justification": "justification",
    "original_work": "original_work",
    "submitter": {
      "company": "company",
      "email": "email",
      "name": "name",
      "telephone": "telephone"
    },
    "urls": [
      "string"
    ]
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ]
}